Skip to main content
GET
/
beneficial-owners
/
{beneficialOwnerId}
Get a beneficial owner
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/beneficial-owners/{beneficialOwnerId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "BeneficialOwner:019542f5-b3e7-1d02-0000-000000000001",
  "customerId": "Customer:019542f5-b3e7-1d02-0000-000000000001",
  "roles": [
    "UBO",
    "DIRECTOR"
  ],
  "personalInfo": {
    "firstName": "Jane",
    "lastName": "Smith",
    "birthDate": "1978-06-15",
    "nationality": "US",
    "address": {
      "line1": "123 Main Street",
      "postalCode": "94105",
      "country": "US",
      "line2": "Apt 4B",
      "city": "San Francisco",
      "state": "CA"
    },
    "personalIds": {
      "idType": "SSN",
      "identifier": "123-45-6789",
      "countryOfIssuance": "US"
    },
    "middleName": "Marie",
    "email": "jane.smith@acmecorp.com",
    "phoneNumber": "+14155550192"
  },
  "kycStatus": "APPROVED",
  "createdAt": "2025-10-03T12:00:00Z",
  "ownershipPercentage": 51,
  "updatedAt": "2025-10-03T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

beneficialOwnerId
string
required

Beneficial owner ID

Response

Successful operation

id
string
required

Unique identifier for this beneficial owner

Example:

"BeneficialOwner:019542f5-b3e7-1d02-0000-000000000001"

customerId
string
required

The ID of the business customer this beneficial owner is associated with

Example:

"Customer:019542f5-b3e7-1d02-0000-000000000001"

roles
enum<string>[]
required

Roles of this person within the business

Role of the beneficial owner within the business

Available options:
UBO,
DIRECTOR,
COMPANY_OFFICER,
CONTROL_PERSON,
TRUSTEE,
GENERAL_PARTNER
Example:
["UBO", "DIRECTOR"]
personalInfo
object
required
kycStatus
enum<string>
required

The current KYC status of a customer

Available options:
UNVERIFIED,
PENDING,
APPROVED,
REJECTED
Example:

"APPROVED"

createdAt
string<date-time>
required

When this beneficial owner was created

Example:

"2025-10-03T12:00:00Z"

ownershipPercentage
number<float>

Percentage of ownership in the business (0-100)

Required range: 0 <= x <= 100
Example:

51

updatedAt
string<date-time>

When this beneficial owner was last updated

Example:

"2025-10-03T12:00:00Z"